# Copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2018-2019 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------
#

import tools_checker
from config_system import get_config_string, get_config_bool

def plugin_exec():
    compiler = ""

    #Only check compiler if host explore is enabled
    if get_config_bool('ALLOW_HOST_EXPLORE'):
        if get_config_bool('TARGET_TOOLCHAIN_GNU'):
            prefix = get_config_string('TARGET_GNU_PREFIX')
            compiler = prefix + get_config_string('GNU_CC_BINARY')
        else:
            prefix = get_config_string('TARGET_CLANG_PREFIX')
            compiler = prefix + get_config_string('CLANG_CC_BINARY')

    tools_checker.check_tools_versions( compiler )
